package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.app.domain.LeaseUserBook;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * @author c liu
 * @date 2024/1/4
 */
@Mapper
public interface LeaseUserBookMapper {
    List<LeaseUserBook> getLeaseUserBook(Long userId);

    int add(LeaseUserBook bean);

    int batchDel(@Param("ids") ArrayList<Integer> ids);

    int update(LeaseUserBook bean);
}
